{
  "criteria": {
    "item": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "items": [
              "minecraft:splash_potion"
            ],
            "components": {
              "minecraft:potion_contents": {
                "potion": "minecraft:weakness"
              }
            }
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "item"
    ]
  ],
  "rewards": {
    "function": "bordercraft:once/item/splash_potion__weakness"
  }
}